Subject: Re: win+Meson test failures due to ps/build-meson-fixes-0130 topic?

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Feb 2025 07:55:09 -0800

Patrick Steinhardt <[email-masked]> writes:

> Okay, the issue was in 163a3e97ac1 (meson: simplify use of the
> common-main library, 2025-01-30). In that commit we stopped using the
> common-main dependency for a couple of binaries, including
> git-remote-https and others. What I didn't realize though is that this
> also made us not use the linker arguments anymore, but those are
> required on Windows when linking an executable.
>
> I've kicked off CI jobs on GitHub to verify that the revised version of
> this patch series works alright. Once those tests pass I'll send another
> version of this patch series.

Thanks.  What is a bit more worrying is that you earlier said your
other CI didn't notice anything funny.  Is the reason for the
non-breakage also known (like: the two CI jobs build things
differently)?

Thanks.